Package org.apache.sling.scripting.sightly.compiler.commands

## Class Procedure

- java.lang.Object
- - org.apache.sling.scripting.sightly.compiler.commands.Procedure

    public class Procedure
    extends Object

This `Command` allows defining a HTL template - the only functional construct of the language.

### Nested Class Summary

Nested Classes
`static class` `Procedure.Call`
`static class` `Procedure.End`
`static class` `Procedure.Start`

### Field Summary

Fields
`static Procedure.End` `END`

### Constructor Summary

Constructors
`Procedure()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### END

    public static final Procedure.End END

### Constructor Detail

#### Procedure

    public Procedure()